import unittest

from . import FixerTestCase


class testFixRoundTrace(FixerTestCase):
  fixer = "round_trace"

  def test_single_parameter(self):
    b = """round(1.23)"""
    a = """round_traced("<string>",1,0,1.23)"""
    self.check(b, a)

    self.exec_code(a)
    self.assertDataEqual("round_modified", [(u'<string>', 1, 0)])
    self.assertDataEqual("round_trace", [(u'<string>', 1, 0, u'float', None)])

  def test_both_parameters(self):
    b = """round(1.23, 4)"""
    a = """round_traced("<string>",1,0,1.23, 4)"""
    self.check(b, a)

    self.exec_code(a)
    self.assertDataEqual("round_modified", [(u'<string>', 1, 0)])
    self.assertDataEqual("round_trace", [(u'<string>', 1, 0, u'float', u'int')])


if __name__ == '__main__':
  unittest.main()
